Skip to main content
POST
/
storage
/
v4
/
object_storages
/
{storage_id}
/
access_keys
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
access_key_created = client.storage.object_storages.access_keys.create(
    0,
)
print(access_key_created.access_key)
{
  "access_key": "AKIAIOSFODNN7EXAMPLE",
  "created_at": "2025-08-05 09:17:02+00:00",
  "secret_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

storage_id
integer<int64>
required

Storage ID

Response

AccessKeyCreateDataV4

access_key
string
required

Access key ID used as the username in S3 authentication. Pass this in the AWS_ACCESS_KEY_ID field of your S3 client.

Example:

"AKIAIOSFODNN7EXAMPLE"

created_at
string<date-time>
required

ISO 8601 timestamp when the access key was created

Example:

"2025-08-05 09:17:02+00:00"

secret_key
string
required

Secret key used as the password in S3 authentication. Save this now — it cannot be retrieved again.

Example:

"wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"